# ``twisted`.`internet`.`interfaces`.`IStreamServerEndpoint``

interface documentation

`class IStreamServerEndpoint(Interface): (source)`

Known implementations: `twisted.internet.endpoints.AdoptedStreamServerEndpoint`, `twisted.internet.endpoints.SSL4ServerEndpoint`, `twisted.internet.endpoints.StandardIOEndpoint`, `twisted.internet.endpoints.UNIXServerEndpoint`, `twisted.internet.endpoints._TCPServerEndpoint`, `twisted.internet.endpoints._WrapperServerEndpoint`

View In Hierarchy

A stream server endpoint is a place that a `Factory` can listen for incoming connections.

Present Since
10.1

Method | `listen` | Listen with `protocolFactory` at the location specified by this `IStreamServerEndpoint` provider.

def listen(protocolFactory): (source)
Listen with `protocolFactory` at the location specified by this `IStreamServerEndpoint` provider.

Parameters
protocolFactory:`IProtocolFactory` | A provider of `IProtocolFactory`
Returns
`Deferred[IListeningPort]` | A `Deferred` that results in an `IListeningPort` or an `CannotListenError`